xmldir = log/feeds
md5db  = feeds/items.db

header = <<EOF
<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet type="text/xsl" href="/res/preview.xsl"?>
<rss version="2.0">
  <channel>
    <title>{NAME}</title>
    <link>{URL}</link>
    <description><![CDATA[{NAME}]]></description>
    <lastBuildDate>{TS}</lastBuildDate>
    <generator>Feedextractor http://www.daemon.de/Feedextrator</generator>
    <ttl>360</ttl>
EOF

footer = </channel></rss>

<template NUMBER>
  name  = 
  url   = 
  regex = <item>*<title>{TITLE}</title>*<link>{LINK}</link>*<description>{CONTENT}</description>
  item  = <<EOF
            <item>
               <title>{TITLE}</title>
               <link>{LINK}</link>
               <description><![CDATA[{CONTENT}]]></description>
               <guid isPermaLink="false">{MD5}</guid>
               <pubDate>{TS}</pubDate>
            </item>
  EOF
</template>

<feed 56>
  name  = APOD
  url   = http://apod.nasa.gov/apod.rss
  regex = <item>*<title>{TITLE}</title>*<link>{LINK}</link>*<description>{CONTENT}</description>
  item  = <<EOF
            <item>
               <title>{TITLE}</title>
               <link>{LINK}</link>
               <description><![CDATA[{CONTENT}]]></description>
               <guid isPermaLink="false">{MD5}</guid>
               <pubDate>{TS}</pubDate>
            </item>
  EOF
</feed>

<feed 65>
  name  = Russia Today
  url   = http://www.youtube.com/user/russiatoday
  regex = data-video-ids="{LINK}"*<span class="title video-title" title="{TITLE}"*<span class="video-item-description">{CONTENT}</span>
  item  = <<EOF
            <item>
               <title>{TITLE}</title>
               <link>http://www.youtube.com/watch?v={LINK}</link>
               <description><![CDATA[<p><iframe width="420" height="315" src="http://www.youtube.com/embed/{LINK}" frameborder="0" allowfullscreen></iframe></p><p>{CONTENT}</p>]]></description>
               <guid isPermaLink="false">{MD5}</guid>
               <pubDate>{TS}</pubDate>
            </item>
  EOF
</feed>

<feed 3>
  name  = Nics Bloghaus
  url   = http://nicsbloghaus.org/
  iteregex = <a class="continue_reading_link" href="{LINK}"
  regex    = <h1 class="entry-title">{TITLE}</h1>*<div class="entry_content">{CONTENT}<div class="twoclick
  item  = <<EOF
            <item>
               <title>{TITLE}</title>
               <link>{LINK}</link>
               <description><![CDATA[{CONTENT}]]></description>
               <guid isPermaLink="false">{MD5}</guid>
               <pubDate>{TS}</pubDate>
            </item>
  EOF
</feed>

<feed 48>
  name  = Unterwelt
  url   = http://klausbaum.wordpress.com/
  regex = <header class="post-title">*href="{LINK}"*title="Permalink zu {TITLE}"*<div class="post-entry">{CONTENT}<div id="jp-post-flair"
  item  = <<EOF
            <item>
               <title>{TITLE}</title>
               <link>{LINK}</link>
               <description><![CDATA[{CONTENT}]]></description>
               <guid isPermaLink="false">{MD5}</guid>
               <pubDate>{TS}</pubDate>
            </item>
  EOF
</feed>

<feed 53>
  name  = Flickr HDR
  url   = http://www.flickr.com/groups/hdr/pool/
  regex = <div class="pool-photo*href="{LINK}"*title="{TITLE}"*img src="{IMG}"*class="owner">{OWNER}</a>
  item  = <<EOF
            <item>
               <title>{TITLE}</title>
               <link>{LINK}</link>
               <description><![CDATA[<p><a href="{LINK}"><img src="{IMG}" border="0"><br/><b>by {OWNER}</b></a>]]></description>
               <guid isPermaLink="false">{MD5}</guid>
               <pubDate>{TS}</pubDate>
            </item>
  EOF
</feed>

<feed 54>
  name  = Flickr Animal Planet
  url   = http://www.flickr.com/groups/animal_planet/pool/
  regex = <div class="pool-photo*href="{LINK}"*title="{TITLE}"*img src="{IMG}"*class="owner">{OWNER}</a>
  item  = <<EOF
            <item>
               <title>{TITLE}</title>
               <link>{LINK}</link>
               <description><![CDATA[<p><a href="{LINK}"><img src="{IMG}" border="0"><br/><b>by {OWNER}</b></a>]]></description>
               <guid isPermaLink="false">{MD5}</guid>
               <pubDate>{TS}</pubDate>
            </item>
  EOF
</feed>

<feed 35>
  name  = Flickr Reptiles & Amphibians
  url   = http://www.flickr.com/groups/25998032@N00/
  regex = <div class="pool-photo*href="{LINK}"*title="{TITLE}"*img src="{IMG}"*class="owner">{OWNER}</a>
  item  = <<EOF
            <item>
               <title>{TITLE}</title>
               <link>{LINK}</link>
               <description><![CDATA[<p><a href="{LINK}"><img src="{IMG}" border="0"><br/><b>by {OWNER}</b></a>]]></description>
               <guid isPermaLink="false">{MD5}</guid>
               <pubDate>{TS}</pubDate>
            </item>
  EOF
</feed>

<feed 49>
  name  = Flickr The BBE
  url   = http://www.flickr.com/groups/bbe/
  regex = <div class="pool-photo*href="{LINK}"*title="{TITLE}"*img src="{IMG}"*class="owner">{OWNER}</a>
  item  = <<EOF
            <item>
               <title>{TITLE}</title>
               <link>{LINK}</link>
               <description><![CDATA[<p><a href="{LINK}"><img src="{IMG}" border="0"><br/><b>by {OWNER}</b></a>]]></description>
               <guid isPermaLink="false">{MD5}</guid>
               <pubDate>{TS}</pubDate>
            </item>
  EOF
</feed>

<feed 27>
  name  = Fefe
  url   = http://blog.fefe.de/rss.xml?html
  regex = <item>*<title>{TITLE}</title>*<link>{LINK}</link>*CDATA[{CONTENT}]]
  item  = <<EOF
            <item>
               <title>{TITLE}</title>
               <link>{LINK}</link>
               <description><![CDATA[{CONTENT}]]></description>
               <guid isPermaLink="false">{MD5}</guid>
               <pubDate>{TS}</pubDate>
            </item>
  EOF
</feed>

<feed 4>
  name  = Lawblog
  url   = http://www.lawblog.de/
  regex = <div class="post">*href="{LINK}"*title="Permanent Link to {TITLE}">*<div class="storycontent">{CONTENT}<p class="wp-flattr-button">
  item  = <<EOF
            <item>
               <title>{TITLE}</title>
               <link>{LINK}</link>
               <description><![CDATA[{CONTENT}]]></description>
               <guid isPermaLink="false">{MD5}</guid>
               <pubDate>{TS}</pubDate>
            </item>
  EOF
</feed>

<feed 64>
  name  = Aqua Media TV
  url   = http://www.youtube.com/user/aquamediaTV
  regex = data-video-ids="{LINK}"*<span class="title video-title" title="{TITLE}"*<span class="video-item-description">{CONTENT}</span>
  item  = <<EOF
            <item>
               <title>{TITLE}</title>
               <link>http://www.youtube.com/watch?v={LINK}</link>
               <description><![CDATA[<p><iframe width="420" height="315" src="http://www.youtube.com/embed/{LINK}" frameborder="0" allowfullscreen></iframe></p><p>{CONTENT}</p>]]></description>
               <guid isPermaLink="false">{MD5}</guid>
               <pubDate>{TS}</pubDate>
            </item>
  EOF
</feed>

<feed 25>
  name  = TCS Terrarien
  url   = http://tcs-terrarien.org/index.php?page=Portal
  regex = class="topic">*title="{CONTENT}">{TITLE}</a>*<div class="containerIconSmall">*<a href="{LINK}&amp;s=*
  item  = <<EOF
            <item>
               <title>{TITLE}</title>
               <link>http://tcs-terrarien.org/{LINK}</link>
	       <description><![CDATA[<p>{CONTENT}</p>]]></description>
               <guid isPermaLink="false">{MD5}</guid>
               <pubDate>{TS}</pubDate>
            </item>
  EOF
</feed>

<feed 63>
  name  = Practical Fishkeeping
  url   = http://www.practicalfishkeeping.co.uk/browse.php?type=recent
  regex = <dt>*href="{LINK}">{TITLE}</a></dt>*<dd class="img">{IMG}</dd>*<dd>{TXT}</dd>
  item  = <<EOF
            <item>
               <title>{TITLE}</title>
               <link>{LINK}</link>
	       <description><![CDATA[<p>{IMG}<br/>{TXT}</p>]]></description>
               <guid isPermaLink="false">{MD5}</guid>
               <pubDate>{TS}</pubDate>
            </item>
  EOF
</feed>

<feed 50>
  name  = Arts & Letters Daily
  url   = http://www.aldaily.com/
  regex = <HR color=*>{PRE}<b>{TITLE}</b>{POST}<a href="{LINK}"
  item  = <<EOF
            <item>
               <title>{TITLE}</title>
               <link>{LINK}</link>
	       <description><![CDATA[<p>{PRE} {TITLE} {POST}</p>]]></description>
               <guid isPermaLink="false">{MD5}</guid>
               <pubDate>{TS}</pubDate>
            </item>
  EOF
</feed>

<feed 40>
  name  = USA Erkl�rt
  url   = http://usaerklaert.wordpress.com/
  regex = <div class="post*href="{LINK}"*title="Permanenter Link: {TITLE}"*<div class="entry">{CONTENT}<div id="jp-post-flair
  item  = <<EOF
            <item>
               <title>{TITLE}</title>
               <link>{LINK}</link>
	       <description><![CDATA[{CONTENT}]]></description>
               <guid isPermaLink="false">{MD5}</guid>
               <pubDate>{TS}</pubDate>
            </item>
  EOF
</feed>

<feed 52>
  name  = Bad Astronomy
  url   = http://blogs.discovermagazine.com/badastronomy/
  regex = <div class="weblog-entry"*href="{LINK}"*title="Permanent Link to {TITLE}"*<div class="entry">{CONTENT}</div>
  item  = <<EOF
            <item>
               <title>{TITLE}</title>
               <link>{LINK}</link>
	       <description><![CDATA[{CONTENT}]]></description>
               <guid isPermaLink="false">{MD5}</guid>
               <pubDate>{TS}</pubDate>
            </item>
  EOF
</feed>

<feed 44>
  name  = Greenpeace
  url   = http://blog.greenpeace.de/
  regex = <div class="post post-index">*href="{LINK}"*title="{TITLE}"*<div class="entry">{CONTENT}<p class="postmetadata">
  item  = <<EOF
            <item>
               <title>{TITLE}</title>
               <link>{LINK}</link>
	       <description><![CDATA[<div>{CONTENT}]]></description>
               <guid isPermaLink="false">{MD5}</guid>
               <pubDate>{TS}</pubDate>
            </item>
  EOF
</feed>

<feed 14>
  name  = The Oatmeal
  url   = http://theoatmeal.com/comics
  regex = <div class="bg_comic">*href="{LINK}"*img src="{IMG}"*alt="{TITLE}"
  item  = <<EOF
            <item>
               <title>{TITLE}</title>
               <link>http://theoatmeal.com{LINK}</link>
	       <description><![CDATA[<p><img src="{IMG}" alt="{TITLE}"/></p>]]></description>
               <guid isPermaLink="false">{MD5}</guid>
               <pubDate>{TS}</pubDate>
            </item>
  EOF
</feed>

<feed 22>
  name  = Planet Django
  url   = http://planetdjango.org/
  regex = <div class="entrygroup" id="{LINK}"*href=*>{TITLE}</a>*<div class="content">{CONTENT}<div class="clear"></div>
  item  = <<EOF
            <item>
               <title>{TITLE}</title>
               <link>{LINK}</link>
	       <description><![CDATA[<div>{CONTENT}/>]]></description>
               <guid isPermaLink="false">{MD5}</guid>
               <pubDate>{TS}</pubDate>
            </item>
  EOF
</feed>

<feed 62>
  name  = Crusta
  url   = http://crusta.de/
  iteregex = <h2 id="post-*href="{LINK}"
  regex    = <h2 id="post-*title="Permanent Link: {TITLE}"*<!--Artikel Text-->{CONTENT}<span class="twoclick"></span>
  item  = <<EOF
            <item>
               <title>{TITLE}</title>
               <link>{LINK}</link>
               <description><![CDATA[{CONTENT}]]></description>
               <guid isPermaLink="false">{MD5}</guid>
               <pubDate>{TS}</pubDate>
            </item>
  EOF
</feed>
